Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath
Class XPParser

    java.lang.Object
      org.basex.query.QueryParser
          org.basex.query.xpath.XPParser

Direct Known Subclasses:
  XPSuggest

    public class XPParser

extends QueryParser

XPath Processor, containing the XPath parser. The `parse()` method evaluates the query and returns the parsed expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Tim Petrowsky, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.QueryParser
`file, ql, qm, qp, qu`

Constructor Summary
`XPParser(java.lang.String q)` Constructor.

Method Summary
`XPContext` | `parse()` Parses the query and returns a query context.
`XPContext` | `parse(boolean end)` Parses the query and returns a query context.

Methods inherited from class org.basex.query.QueryParser
`consume, consume, consume, consumeWS, curr, curr, ent, found, init, invalidEnt, mark, more, next, quote, rest, valid`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPParser

    public XPParser(java.lang.String q)

  Constructor.

  Parameters:
    `q` - query

Method Detail

### parse

    public final XPContext parse()
                          throws QueryException

  Parses the query and returns a query context.

  Returns:
    query context
  Throws:
    `QueryException` - parsing exception

### parse

    public final XPContext parse(boolean end)
                          throws QueryException

  Parses the query and returns a query context.

  Parameters:
    `end` - if true, input must be completely evaluated
  Returns:
    query context
  Throws:
    `QueryException` - parsing exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD